%define name    php5-sasl
%define version 5.0.3
%define rversion 0.1.0

%define modname sasl
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A40_%{modname}.ini

Summary:	Cyrus SASL Extension
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%mkrel 2
Group:		System/Servers
License:	PHP License
URL:		http://pecl.php.net/package/sasl
Source0:	sasl-%{rversion}.tar.bz2
Patch0:		sasl-0.1.0-lib64.diff.bz2
BuildRequires:  php5-devel
BuildRequires:	libsasl-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
SASL is the Simple Authentication and Security Layer (as defined
by RFC 2222). It provides a system for adding plugable
authenticating support to connection-based protocols. The SASL
Extension for PHP makes the Cyrus SASL library functions available
to PHP. It aims to provide a 1-to-1 wrapper around the SASL
library to provide the greatest amount of implementation
flexibility. To that end, it is possible to build both a
client-side and server-side SASL implementation entirely in PHP.

%prep

%setup -q -n sasl-%{rversion}
%patch0 -p0

%build
export SASL_SUB="sasl"

php5ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php5/extensions
install -d %{buildroot}%{_sysconfdir}/php5.d

install -m755 %{soname} %{buildroot}%{_libdir}/php5/extensions/

cat > %{buildroot}%{_sysconfdir}/php5.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc docs tests
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php5.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php5/extensions/%{soname}

%changelog
* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.1.0-2mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.1.0-1mdk
- initial Mandrakelinux package
- added P0
